# 0x0EFA Tome of Nature
import time
import sys
import math
#
if not Misc.CurrentScriptDirectory() in sys.path:
    sys.path.append(Misc.CurrentScriptDirectory())
#
import System
import common
common.Gumps = Gumps
common.Items = Items
common.Player = Player
common.Mobiles = Mobiles
#
from System.Collections.Generic import List
from System import Byte, Int32
#
def findRecursive(containerSerial, typeArray):
    ret_list = []
    container = Items.FindBySerial(containerSerial)
    Items.UseItem(container)
    Items.WaitForContents(container.Serial, 5000)
    if container != None:
        for item in container.Contains:
            if item.ItemID in typeArray and item.Hue == 0x08a2:
                ret_list.append(item)
            if item.IsContainer:
                for tmp in findRecursive(item.Serial, typeArray):
                    ret_list.append(tmp)
    return ret_list
#    
container = Target.PromptTarget()
books = findRecursive(container, [0x0EFA])
if books:
    Misc.SendMessage("FOUND IT")
    Items.Move(books[0], 0x4005A1AD, 1)
else:
    Misc.SendMessage("NOT FOUND")    